import 'package:grpc_communication/grpc_communication.dart';
import 'package:grpc_communication/src/resourcegroup.pb.dart';
import 'package:test/test.dart';


void main() {
  group('fetchResourceGroups', () {
    test('successfully retrieves resource groups from server', () async {
      final resourceGroups = await fetchResourceGroups("127.0.0.1", 50051);

      // Basic checks to ensure we are getting some data
      expect(resourceGroups, isA<List<ResourceGroup>>());
      expect(resourceGroups, isNotEmpty);
    });
  });


  group('createResourceGroup', () {
    test('successfully creates a resource group on the server', () async {
      final response = await createResourceGroup("127.0.0.1", 50051, "Test Name", "Test Location");

      // Basic checks to ensure we are getting some data
      expect(response, isA<CreateGroupResponse>());
    });
  });
}